Debian Bug report logs - #629911
alsa-tools-gui: Support for hdspmixer on RME MADI-like cards.

version graph

Package: alsa-tools-gui; Maintainer for alsa-tools-gui is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>; Source for alsa-tools-gui is src:alsa-tools.

Reported by: Adrian Knoth <adi@drcomp.erfurt.thur.de>

Date: Thu, 9 Jun 2011 14:15:01 UTC

Severity: normal

Tags: sid

Found in version alsa-tools/1.0.23-5

Fixed in version alsa-tools/1.0.24.1-2

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#629911; Package alsa-tools-gui. (Thu, 09 Jun 2011 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Thu, 09 Jun 2011 14:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: alsa-tools-gui: Support for hdspmixer on RME MADI-like cards.
Date: Thu, 09 Jun 2011 16:04:07 +0200
Package: alsa-tools-gui
Version: 1.0.23-5
Severity: normal
Tags: sid

Hi!

unstable currently has Linux-2.6.39. Starting with this version, there's
a new HDSPM driver for RME RayDAT, RME AIO and RME AES(32).

The kernel-userland API has changed, so running old hdspmixer with
Linux-2.6.39 doesn't work.

You need alsa-tools 1.0.24.2 (yes .2) for correct operation,
unfortunately, this version isn't released, yet.

If you want to provide a working hdspmixer to users, please package the
current git version of alsa-tools.

   
    git://git.alsa-project.org/alsa-tools.git
    http://git.alsa-project.org/?p=alsa-tools.git;a=summary



Cheers


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages alsa-tools-gui depends on:
ii  libasound2                    1.0.23-4   shared library for ALSA applicatio
ii  libatk1.0-0                   2.0.0-1    The ATK accessibility toolkit
ii  libc6                         2.13-4     Embedded GNU C Library: Shared lib
ii  libcairo2                     1.10.2-6   The Cairo 2D vector graphics libra
ii  libfltk1.1                    1.1.10-4   Fast Light Toolkit - shared librar
ii  libfontconfig1                2.8.0-2.2  generic font configuration library
ii  libfreetype6                  2.4.4-1    FreeType 2 font engine, shared lib
ii  libgcc1                       1:4.6.0-10 GCC support library
ii  libgdk-pixbuf2.0-0            2.23.3-3   GDK Pixbuf library
ii  libglib2.0-0                  2.28.6-1   The GLib library of C routines
ii  libgtk2.0-0                   2.24.4-3   The GTK+ graphical user interface 
ii  libpango1.0-0                 1.28.3-6   Layout and rendering of internatio
ii  libstdc++6                    4.6.0-10   The GNU Standard C++ Library v3

alsa-tools-gui recommends no packages.

alsa-tools-gui suggests no packages.

-- no debconf information




Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Mon, 05 Sep 2011 17:25:23 GMT) Full text and rfc822 format available.

Notification sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Bug acknowledged by developer. (Mon, 05 Sep 2011 17:25:23 GMT) Full text and rfc822 format available.

Message #10 received at 629911-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 629911-close@bugs.debian.org
Subject: Bug#629911: fixed in alsa-tools 1.0.24.1-2
Date: Mon, 05 Sep 2011 17:17:17 +0000
Source: alsa-tools
Source-Version: 1.0.24.1-2

We believe that the bug you reported is fixed in the latest version of
alsa-tools, which is due to be installed in the Debian FTP archive:

alsa-firmware-loaders_1.0.24.1-2_amd64.deb
  to contrib/a/alsa-tools/alsa-firmware-loaders_1.0.24.1-2_amd64.deb
alsa-tools-gui_1.0.24.1-2_amd64.deb
  to main/a/alsa-tools/alsa-tools-gui_1.0.24.1-2_amd64.deb
alsa-tools_1.0.24.1-2.debian.tar.bz2
  to main/a/alsa-tools/alsa-tools_1.0.24.1-2.debian.tar.bz2
alsa-tools_1.0.24.1-2.dsc
  to main/a/alsa-tools/alsa-tools_1.0.24.1-2.dsc
alsa-tools_1.0.24.1-2_amd64.deb
  to main/a/alsa-tools/alsa-tools_1.0.24.1-2_amd64.deb
ld10k1_1.0.24.1-2_amd64.deb
  to main/a/alsa-tools/ld10k1_1.0.24.1-2_amd64.deb
liblo10k1-0_1.0.24.1-2_amd64.deb
  to main/a/alsa-tools/liblo10k1-0_1.0.24.1-2_amd64.deb
liblo10k1-dev_1.0.24.1-2_amd64.deb
  to main/a/alsa-tools/liblo10k1-dev_1.0.24.1-2_amd64.deb
qlo10k1_1.0.24.1-2_amd64.deb
  to main/a/alsa-tools/qlo10k1_1.0.24.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629911@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 18 Aug 2011 22:56:11 +0200
Source: alsa-tools
Binary: alsa-tools alsa-tools-gui alsa-firmware-loaders ld10k1 liblo10k1-0 liblo10k1-dev qlo10k1
Architecture: source amd64
Version: 1.0.24.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 alsa-firmware-loaders - ALSA software loaders for specific hardware
 alsa-tools - Console based ALSA utilities for specific hardware
 alsa-tools-gui - GUI based ALSA utilities for specific hardware
 ld10k1     - ALSA emu10k1/2 patch loader
 liblo10k1-0 - ALSA emu10k1/2 patch-loader library
 liblo10k1-dev - ALSA emu10k1/2 patch-loader library development files
 qlo10k1    - ALSA ld10k1 utility
Closes: 629911
Changes: 
 alsa-tools (1.0.24.1-2) unstable; urgency=low
 .
   * Tighten libasound2-dev Build-Depends to >= 1.0.24.1, to avoid a build
     failure of hdspmixer due to missing new alsa-lib headers
     (closes: #629911).
Checksums-Sha1: 
 01af1dbc7d9003d239192cfdb652aa8bc6d0550b 1546 alsa-tools_1.0.24.1-2.dsc
 a08927db140b70c3aabf253190116dce5cbf04d4 28549 alsa-tools_1.0.24.1-2.debian.tar.bz2
 c6217e6a6c22d9e97a4427f883dd2b708686c4af 89746 alsa-tools_1.0.24.1-2_amd64.deb
 c063de2d7b3c46454fbe77f800d3bba0010b3a11 278624 alsa-tools-gui_1.0.24.1-2_amd64.deb
 14117516375e29cd369a777b609a965b73b61480 36200 alsa-firmware-loaders_1.0.24.1-2_amd64.deb
 821d3b80a328e06017ae3053f7da16fa10443fca 114238 ld10k1_1.0.24.1-2_amd64.deb
 90ed258ec0ca3ff62a934d21cd24b15c82e0dae0 35410 liblo10k1-0_1.0.24.1-2_amd64.deb
 601652d6c5044fa30f011774734dca8457138603 42208 liblo10k1-dev_1.0.24.1-2_amd64.deb
 9d8620da0448ffdc86a3a37e9a2960752e78a985 144226 qlo10k1_1.0.24.1-2_amd64.deb
Checksums-Sha256: 
 8e03ceae33867d8fb847b5f42c23f82e8204dcda849671a2a29d2fa4bc5b98f6 1546 alsa-tools_1.0.24.1-2.dsc
 c6b4ef127350d636abcf3e54fd76f2d6d2c7af85a959ef8d99830c45a7ae47c1 28549 alsa-tools_1.0.24.1-2.debian.tar.bz2
 4a62deb554069990d762de6a549bae713670da8477d4ed54dcf92f31316a3938 89746 alsa-tools_1.0.24.1-2_amd64.deb
 192e4d4cdb44dde8085f486eba5da67f2ca78a7ed403f6615383d1dc9fb23b4b 278624 alsa-tools-gui_1.0.24.1-2_amd64.deb
 6c1a98badfb4dd3de29db52c4de6edb7b22b05bb8a5e60eac5074f8d3e969988 36200 alsa-firmware-loaders_1.0.24.1-2_amd64.deb
 b7ba7a95c0e9d20b7b0ab7c31642ea080b33cf804d51fa471f4bb3d13f50a44a 114238 ld10k1_1.0.24.1-2_amd64.deb
 1fa4be3c206fd5cf1d06fb57f48bd30834239736b8d62607cfd2a6369fc69b04 35410 liblo10k1-0_1.0.24.1-2_amd64.deb
 d3be92c4b2297b6677a8c92524ffd1982041d3d873b2466e2caac5e074827460 42208 liblo10k1-dev_1.0.24.1-2_amd64.deb
 586683a4bb07452c7c419fdfa2734dc5a63984f0d0047ee173a35b99d57cfe0d 144226 qlo10k1_1.0.24.1-2_amd64.deb
Files: 
 eba7c465c7c43eae078315d80a1cfa24 1546 sound extra alsa-tools_1.0.24.1-2.dsc
 58611aa2faa50cc69bafd1da7c025789 28549 sound extra alsa-tools_1.0.24.1-2.debian.tar.bz2
 4ed352c921cd64d6da05e76d173d0d60 89746 sound extra alsa-tools_1.0.24.1-2_amd64.deb
 740e42e3f6d2f349f57d5a063ee6f543 278624 sound extra alsa-tools-gui_1.0.24.1-2_amd64.deb
 b346ef0b8eea38e13abaf20774ee1140 36200 contrib/sound extra alsa-firmware-loaders_1.0.24.1-2_amd64.deb
 fc93a4c5bf531f4cf10a2b2905332439 114238 sound extra ld10k1_1.0.24.1-2_amd64.deb
 a407ad4f64a656e409a2197813c26cd7 35410 libs extra liblo10k1-0_1.0.24.1-2_amd64.deb
 bd7b3986444c72680d10fd9d7ba30569 42208 libdevel extra liblo10k1-dev_1.0.24.1-2_amd64.deb
 e83f897c5aab00062490d8cab1a5a6a2 144226 sound extra qlo10k1_1.0.24.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5lATEACgkQJYSUupF6Il4JawCdH+Oani2D7DkCwKYLcJ258sHG
9QAAnA6LgCgW/cIUP4fS9VBHIP8VhPs0
=75TW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Oct 2011 07:32:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 18:57:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.